<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<script type="text/javascript">
layui.use(['form', 'layedit', 'laydate'], function(){
   var form = layui.form;
   form.render();
   //获取父类页面 input 框的值 工程 id
   var newText1 = parent.$('#addtext').val();
   $("#newText1").val(newText1);
})

function doSubmit(obj){ // 添加项目提交方法
    //判断是否选择文件
   if ($("#myfile").val()==null||$("#myfile").val()==""){
       layer.msg("请选择文件",{icon: 3});
       throw SyntaxError;
   }
   //判断项目名称是否存在
   if ($("#inputwrite").val()==null||$("#inputwrite").val()==""){
       layer.msg("请输入项目名称",{icon:3});
       throw SyntaxError;
   }
    layer.msg('加载中', {
        icon: 16
        ,shade: 0.01
        ,offset:['37%','36%']
    });
   $.ajax({
      type: "post",
      url: "${ctx}/project/tem/verfiy",
      // contentType: 'application/x-www-form-urlencoded;charset=utf-8',
      data: {projectName:$("#inputwrite").val(),projectId:$("#newText1").val()},
      dataType: "json",
      success: function(data){
          if(data.code=="1"){
             $("#inputForm").submit();
          }else{
             layer.msg(data.msg, {icon: 5,offset:['33%','33%']});
          }
      }
   });
   return false;
}
$(document).ready(function() {
    //点击触发选择文件input框
    $("#btnxz").click(function(){
        $("#myfile").trigger("click");
    })
    //获取现在的文件的名称展示在input框当中
    $("#myfile").bind("change",function(){
        var solr_file= $("#myfile").val();
        $("#view_input").val(solr_file);
    })
})

</script>